Webview makes transparent parts of lead images black instead of white.
Closed, ResolvedPublic

Description

"enwiki > Law of Cosines"

The image looks nice here:

But not so nice here:

Mhurd created this task.Oct 1 2015, 11:41 PM
Mhurd updated the task description. (Show Details)
Mhurd raised the priority of this task from to Needs Triage.
Mhurd added a subscriber: Mhurd.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 1 2015, 11:41 PM
Mhurd added a subscriber: BGerstle-WMF.EditedOct 1 2015, 11:42 PM

@BGerstle-WMF hey josh said it's ok to just throw this at top of ready for dev. Figured you could knock it out in a couple minutes :)

@JMinor @Fjalapeno @Mhurd although this should be easy to fix, it also begs the question of whether we should remove the "header gallery" and use a single lead image like we used to. IOW, fixing this could also be done by removing the gallery and using a simple image view w/ a white background. Also, given the upcoming styling changes to cards which collapses when no image is present, should we do the same in the article view (instead of showing a placeholder)?

CC @KHammerstein @Nirzar consider the following:

  • User sees a card with a thumbnail
    • User taps card, then sees full presentation w/ same image (which eventually downloads the higher-resolution thumbnail of the lead image)
  • User sees a card without a thumbnail
    • User taps the card, then:
      • If we have a gallery, could see an image that was heuristically selected which is either:
        • A "content image" on the page
        • A random icon unrelated to the icon (e.g. various logos & buttons found on pages that are part of various transclusions, like the speaker icon from an IPA)
          • Caveat emptor: we try to filter these out , but inevitably one will slip through
      • If we don't have a gallery:
        • User sees a placeholder image (weird)
        • User sees only the title, as they did on the "card" view
JMinor added a comment.Oct 9 2015, 5:53 PM

@BGerstle-WMF good points. My initial take is that if there is no lead image in the thumbnail it will be weird for users to see a large lead image on the page. Either we should use a default, recognizable placeholder (in which cases its more like a branding banner), or nothing.

Interested in design input, but think we also need to see more in real life. Qualitatively, for us or for user testers, how often are weird or unrelated icons showing up? Do people even use the image gallery (I don't, but thats a sample size of 1)? Etc...

In the future, if/when we re-try to have image uploading as a focus of app editing, it would be nice to have a visual queue (such as a default image) in the artcle to tell users "help us make this better by putting an image here". But think we should do what's smoothest for reading for now.

Checked in alpha 5.0.0 (406) with iPad mini iOS 8.2.

The black background display is fixed, but some questions remain:

  1. In 4.1.7(171)

but in 5.0.0 (406)

  1. A minor issue - in Recent articles, 'Fourier series' looks cut off from the top and a blurred more than it was before:

In 4.1.7(171) the background is much darker

in 5.0.0 (406) the lead img with light background when displayed in Recent makes an impression of an incorrect display. Maybe with darker background it'd better?

@Etonkovidova yes. i was thinking about it and maybe we can put a separator on bottom which is (0,0,0,0.2) which will show up (as grey) on white images but will blend in on dark images.

@KHammerstein what you think?

@Nirzar
Agree with very light separator.

@BGerstle-WMF
Yes when no image is present, also collapse image in the article view.
Placeholder icon appears when image is loading and also in list views where an article has no image - like search results.

Fjalapeno reassigned this task from Fjalapeno to KHammerstein.
Fjalapeno set Security to None.
Fjalapeno added a subscriber: Fjalapeno.

Needs update from @KHammerstein on why this was rejected.

@JMinor - The bug from the title is fixed - do we want to make separate ticket for the separator that @KHammerstein and @Nirzar are in agreement (see above) about trying?

Fjalapeno claimed this task.

Checked with 5.0.0.465 on iPad mini iOS 8.2 and iPhone 5 iOS 9.02.
Since the reported issue is fixed - all subsequent bugs/issues/improvements should be reported in separate tickets.

a separator on bottom which is (0,0,0,0.2) which will show up (as grey) on white images

seems to provide a good visual "anchor"

Below are the screenshots for iPhone 5 iOS 9.02.

Recent

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 3 2015, 9:49 PM
JMinor closed this task as Resolved.Nov 18 2015, 8:27 PM
JMinor added a project: iOS-app-v5-alpha.